Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.html
Class ColGroupElement

    java.lang.Object
      |
      +--weblogic.html.HtmlElement
            |
            +--weblogic.html.ElementWithAttributes
                  |
                  +--weblogic.html.MultiPartElement
                        |
                        +--weblogic.html.ColGroupElement

public class ColGroupElement
extends MultiPartElement

Author:
  Copyright (c) 1996-97 by WebLogic, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.html.HtmlElement
`codeset, useObsolete`

Constructor Summary
`ColGroupElement()` Deprecated. Constructs a ColGroupElement.
`ColGroupElement(java.lang.String span, AlignType align)` Deprecated. Constructs a ColGroupElement with the specified span and alignment.

Method Summary
`ColGroupElement` | `addElement(ColElement ce)` Deprecated. Adds a ColElement to a ColGroupElement.
`protected java.lang.String` | `getHtmlCode()` Deprecated.
`protected boolean` | `printCR()` Deprecated.
`ColGroupElement` | `setAlign(AlignType align)` Deprecated. Sets the alignment.
`ColGroupElement` | `setCharAlign(java.lang.String chr)` Deprecated. Sets the ALIGN attribute for a ColGroupElement to "char", and sets the character for alignment as specified.
`ColGroupElement` | `setCharOffset(int offset)` Deprecated. Sets the offset of an alignment character.
`ColGroupElement` | `setCharOffset(java.lang.String chr, int offset)` Deprecated. Sets the offset of the specified alignment character on each line.
`ColGroupElement` | `setSpan(int span)` Deprecated. Sets the SPAN attribute for a ColGroupElement.
`ColGroupElement` | `setSpan(java.lang.String span)` Deprecated. Sets the SPAN attribute for a ColGroupElement.
`ColGroupElement` | `setVAlign(AlignType align)` Deprecated. Sets the vertical alignment for a ColGroupElement.
`ColGroupElement` | `setWidth(java.lang.String width)` Deprecated. Sets the WIDTH attribute for a ColGroupElement.

Methods inherited from class weblogic.html.MultiPartElement
`addHeadMultiElement, addMultiElement, getMultiElementAt, getNumElements, printBody, printBody, printBody, removeElement, removeElementAt, replaceElementAt, replaceMultiElementAt, widthAsLiteral`

Methods inherited from class weblogic.html.ElementWithAttributes
`addAttribute, addAttribute, escapeQuotes, getBooleanAttribute, getElementAttribute, getLocalVar, getQuotedAttribute, output, output, output, printBody, printEndingTag, setBooleanAttribute, setBooleanAttribute, setClass, setDirection, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setId, setLang, setLocalVar, setQuotedAttribute, setStyle`

Methods inherited from class weblogic.html.HtmlElement
`asAnchorElement, asBigElement, asBlockquoteElement, asBoldElement, asCenteredElement, asCiteElement, asCodeElement, asCommentElement, asDefineTermElement, asEmphasisElement, asFontElement, asFontElement, asFontElement, asHtmlContainer, asItalicElement, asKeyboardElement, asLiteralElement, asParagraphElement, asSampleElement, asSmallElement, asStrikeElement, asStrongElement, asSubscriptElement, asSuperscriptElement, asTeletypeElement, asUnderlineElement, asVariableElement, getVersion, setAnchorMode, setCodeset, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ColGroupElement

    public ColGroupElement()

  Deprecated.
  Constructs a ColGroupElement.

### ColGroupElement

    public ColGroupElement(java.lang.String span,
                           AlignType align)

  Deprecated.
  Constructs a ColGroupElement with the specified span and alignment.

Method Detail

### getHtmlCode

    protected java.lang.String getHtmlCode()

  Deprecated.

  Overrides:
    getHtmlCode in class ElementWithAttributes

### printCR

    protected boolean printCR()

  Deprecated.

  Overrides:
    printCR in class ElementWithAttributes

### setAlign

    public ColGroupElement setAlign(AlignType align)

  Deprecated.
  Sets the alignment.

### setSpan

    public ColGroupElement setSpan(java.lang.String span)

  Deprecated.
  Sets the SPAN attribute for a ColGroupElement.

  Parameters:
    `span` - Number of columns it spans
  Returns:
    ColGroupElement

### setSpan

    public ColGroupElement setSpan(int span)

  Deprecated.
  Sets the SPAN attribute for a ColGroupElement.

  Parameters:
    `span` - Number of columns it spans
  Returns:
    ColGroupElement

### setWidth

    public ColGroupElement setWidth(java.lang.String width)

  Deprecated.
  Sets the WIDTH attribute for a ColGroupElement. This can be the number of pixels or a percentage of the width of the display area. In addition, this attribute can be set to the special form "0*", which means that the width of the column should be the minimum width to properly display the column's contents.

  Parameters:
    `size` - Width
  Returns:
    ColGroupElement

### setVAlign

    public ColGroupElement setVAlign(AlignType align)

  Deprecated.
  Sets the vertical alignment for a ColGroupElement.

  Parameters:
    `align` - AlignType: top, middle, bottom, baseline

### setCharAlign

    public ColGroupElement setCharAlign(java.lang.String chr)

  Deprecated.
  Sets the ALIGN attribute for a ColGroupElement to "char", and sets the character for alignment as specified. This attribute specifies the offset in the table column to the first occurrence of the alignment character on each line, and in the absence of such a character, the table contents are horizontally shifted to end at the alignment position.

### setCharOffset

    public ColGroupElement setCharOffset(int offset)

  Deprecated.
  Sets the offset of an alignment character. The margin from which the offset is measured is determined by the direction of text, set by the DIR attribute.

### setCharOffset

    public ColGroupElement setCharOffset(java.lang.String chr,
                                         int offset)

  Deprecated.
  Sets the offset of the specified alignment character on each line. The margin from which the offset is measured is determined by the direction of text, set by the DIR attribute.

### addElement

    public ColGroupElement addElement(ColElement ce)

  Deprecated.
  Adds a ColElement to a ColGroupElement.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD